<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\Veiculo;

/**
 * Class VeiculoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class VeiculoTransformer extends TransformerAbstract
{
    /**
     * Transform the Veiculo entity.
     *
     * @param \Schaffen\Gef\Models\Veiculo $model
     *
     * @return array
     */
    public function transform(Veiculo $model)
    {

       $proprietario = $model->proprietario;
       $seguradora   = $model->seguradora;
       $vendedor     = $model->vendedor;
        return [
            'codigo'                     => (int) $model->vei_codigo,
            "placa"                      => $model->vei_placa,
            "modelo"                     => $model->vei_modelo,
            "municipio"                  => $model->vei_municipio,
            "uf"                         => $model->vei_uf,
            "cor"                        => $model->vei_cor,
            "ano"                        => $model->vei_ano,
            "identificador"              => $model->vei_identificador,
            "renavam"                    => (int) $model->vei_renavam,
            "chassi"                     => $model->vei_chassi,
            "km_inicial"                 => $model->vei_km_inicial,
            "descricao"                  => $model->vei_descricao,
            "tipo_combustivel"           => is_numeric($model->vei_tipo_combustivel) ? Veiculo::$tipos_combustivel[$model->vei_tipo_combustivel] : '---',
            "proprietario"               => !is_null($proprietario) ? $proprietario->pes_nome : '---',
            "seguradora"                 => !is_null($seguradora) ? $seguradora->pes_nome : '---',
            "fk_mar_codigo"              => $model->vei_fk_mar_codigo,
            "vendedor"                   => !is_null($vendedor) ? $vendedor->pes_nome : '---',
            "status"                     => !is_null($model->vei_status) ? ($model->vei_status == 1 ? 'Ativo' : 'Inativo') : '---',
            "tipo_frota"                 => $model->vei_tipo_frota,
            "fk_ccu_codigo"              => $model->vei_fk_ccu_codigo,
            "centro_custo"               => !is_null($model->centro_custo) ? $model->centro_custo->ccu_descricao : '---',
            /* place your other model properties here */
        ];
    }
}