<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class AgendamentoVeiculoUsoValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class AgendamentoVeiculoUsoValidator extends LaravelValidator
{
   /**
    * Validation Rules
    *
    * @var array
    */
   protected $rules = [
      ValidatorInterface::RULE_CREATE => ['motorista' => 'required|integer|exists:pgsql.cadastro.pessoa,pes_codigo',
                                          'veiculo' => 'required|integer|exists:pgsql.frota.veiculo,vei_codigo',
                                          'data_disponibilidade_inicial' => 'required|date_format:d/m/Y',
                                          'data_disponibilidade_final' => 'required|date_format:d/m/Y',
                                          'observacao' => 'string',

                                          ],
      ValidatorInterface::RULE_UPDATE => ['motorista' => 'required|integer|exists:pgsql.cadastro.pessoa,pes_codigo',
                                          'veiculo' => 'required|integer|exists:pgsql.frota.veiculo,vei_codigo',
                                          'data_disponibilidade_inicial' => 'required|date_format:d/m/Y',
                                          'data_disponibilidade_final' => 'required|date_format:d/m/Y',
                                          'observacao' => 'string',

                                         ],
   ];
}
